package com.sohu.paysdkdemo;

import android.annotation.TargetApi;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import android.widget.Toast;

import com.sohu.game.pay.ISDKInitializeResult;
import com.sohu.game.pay.ISDKMethodResult;
import com.sohu.game.pay.SohuGameSDK;

public class InitActivity extends BaseActivity {
	
	@TargetApi(Build.VERSION_CODES.HONEYCOMB)
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		Log.d("MainActivity", "initialize");
		// 初始化
		SohuGameSDK.initialize(this, new ISDKMethodResult.Listener<ISDKInitializeResult>() {
			@Override
			public void onResult(ISDKInitializeResult result) {
				
				// 初始化成功
				if (result.assertReturnCode(ISDKInitializeResult.RET_CODE.SUCCESS)) {
					Intent i = new Intent(InitActivity.this, LoginActivity.class);
					i.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TASK | Intent.FLAG_ACTIVITY_NEW_TASK);
					startActivity(i);
					finish();
				} else {
					Toast.makeText(InitActivity.this, "初始化失败，请重新打开游戏， "+result.getMessage()+"。", Toast.LENGTH_LONG).show();
					finish();
				}
			}
		});
	}
}
