package com.sohu.paysdkdemo;

import android.annotation.TargetApi;
import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

import com.sohu.game.pay.ISDKLoginResult;
import com.sohu.game.pay.ISDKMethodResult;
import com.sohu.game.pay.SohuGameSDK;


public class LoginActivity extends BaseActivity implements View.OnClickListener {

	@SuppressWarnings("unused")
	private static final String TAG = LoginActivity.class.getSimpleName();
	private Button userBtn;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		userBtn = (Button) findViewById(R.id.btn_login);
		userBtn.setOnClickListener(this);
	}
	
	@TargetApi(Build.VERSION_CODES.HONEYCOMB) 
	@Override
	public void onClick(View v) {
		int id = v.getId();
		if (id == R.id.btn_login) {
			// 登陆
			SohuGameSDK.login(LoginActivity.this, new ISDKMethodResult.Listener<ISDKLoginResult>() {
				@Override
				public void onResult(ISDKLoginResult result) {
					// 登陆成功
			        if (result.assertReturnCode(ISDKLoginResult.RET_CODE.SUCCESS)) {
			            Intent i = new Intent(LoginActivity.this, GameActivity.class);
			            i.addFlags(Intent.FLAG_ACTIVITY_CLEAR_TASK | Intent.FLAG_ACTIVITY_NEW_TASK);
			            startActivity(i);
			            finish();
			        } else if (result.assertReturnCode(ISDKLoginResult.RET_CODE.FAIL)){
			        	Toast.makeText(LoginActivity.this, "登陆失败。", Toast.LENGTH_LONG).show();
			        } else if (result.assertReturnCode(ISDKLoginResult.RET_CODE.CANCEL)){
			        	Log.d(TAG, "您取消了登陆请求。");
			        }
				}
			});
		}
	}
	
	 @Override
    public void onBackPressed() {
    	moveTaskToBack(false);
        super.onBackPressed();
    }


    @Override
    protected void onDestroy() {
        super.onDestroy();
    }
}
